### Method

# FwupdPlugin Device get_root

since: 1.4.0

#### Declaration [src]

    FuDevice*
    fu_device_get_root (
      FuDevice* self
    )

#### Description [src]

Gets the root parent device. A parent device is logically “above” the current device and this may be reflected in client tools.

If there is no parent device defined, then `self` is returned.

Available since: 1.4.0

#### Return value

Type: `FuDevice`

A device.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.